Complete a play module upload
curl --request POST \
--url https://softmax.com/api/observatory/v2/play_modules/upload/complete \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"content_hash": "<string>"
}
'import requests
url = "https://softmax.com/api/observatory/v2/play_modules/upload/complete"
payload = {
"name": "<string>",
"content_hash": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', content_hash: '<string>'})
};
fetch('https://softmax.com/api/observatory/v2/play_modules/upload/complete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"version": {
"id": "<string>",
"play_module_id": "<string>",
"name": "<string>",
"version": 123,
"content_hash": "<string>",
"size_bytes": 123,
"contract_version": "<string>",
"manifest": {},
"created_at": "2023-11-07T05:31:56Z",
"player_id": "<string>",
"policy_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Play Modules
Complete a play module upload
Validates an uploaded WebAssembly module and records an immutable version. The play module must already be registered; matching content and associations return the existing version.
POST
/
v2
/
play_modules
/
upload
/
complete
Complete a play module upload
Authorizations
Bearer token issued by Softmax
Body
application/json
Uploaded module metadata and associations.
Registered play module name.
Required string length:
1 - 32Pattern:
^[a-z][a-z0-9_]{0,31}$SHA-256 digest of the uploaded module.
Pattern:
^[0-9a-f]{64}$Player associated with this version, if any.
Pattern:
^ply_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$Policy version whose playbook includes this module, if any.
Response
Successful Response
Validated immutable play module version.
Show child attributes
Show child attributes